Bug 1117931 - [RFE] Verify network connectivity from Engine to hosts to enhance the fencing logic
Summary: [RFE] Verify network connectivity from Engine to hosts to enhance the fencing...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ---
: ---
Assignee: Scott Herold
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: 1110176 1119932
TreeView+ depends on / blocked
 
Reported: 2014-07-09 16:27 UTC by Nir Yechiel
Modified: 2016-02-10 19:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1119932 (view as bug list)
Environment:
Last Closed: 2015-12-29 14:54:45 UTC
oVirt Team: Network
ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Nir Yechiel 2014-07-09 16:27:14 UTC
Description of problem:

This RFE is part of the request is to introduce logic in the fencing workflow for the engine to determine if an inability to communicate with external hosts is because it is having network connectivity issues or if there is a legitimate problem with the remote host.

As a first phase, the user should be able to list IP addresses to which we should try to ping before fencing a host. Engine should constantly ping the addresses provided and collect the ping results as an ongoing process. In order to better determine the connectivity status, the results from the last 15 seconds should be kept as a backlog for reference. This timer should be user-configurable. 

We still need to discuss what are our 'success' criteria, i.e., how many pings should we send and how many should get a reply.

Comment 1 Yaniv Kaul 2015-11-17 19:25:27 UTC
Sounds like infra?

Comment 2 Oved Ourfali 2015-11-17 19:55:07 UTC
See dependent bugs that are closed as wontfix after discussing that with Scott. 
I believe this should be closed as well.

We have provided some fencing policies that were proven to be satisfying, and we don't plan to pursue this direction.


Note You need to log in before you can comment on or make changes to this bug.